These are chat archives for harelba/q

17th
May 2014
PreXident
@PreXident
May 17 2014 12:04
Hi, I think you should warn users that are not very skilled in Python (like myself) that q is not compatible with Python 3 - it took me a while to discover why I was getting "SyntaxError: invalid syntax" even though I met "python >= 2.5" requirement. Otherwise great job!
PreXident
@PreXident
May 17 2014 13:32
Also I had problems with query encoding (I am on English Windows with Czech keybord), so I had to change creating SQL statement to: sql_object = Sql('%s' % args[0].decode(locale.getpreferredencoding()))